## org.apache.axis.components.uuid
Interface UUIDGen

All Known Implementing Classes:
  FastUUIDGen, SimpleUUIDGen

public interface UUIDGen

A Universally Unique Identifier (UUID) is a 128 bit number generated according to an algorithm that is garanteed to be unique in time and space from all other UUIDs. It consists of an IEEE 802 Internet Address and various time stamps to ensure uniqueness. For a complete specification, see ftp://ietf.org/internet-drafts/draft-leach-uuids-guids-01.txt [leach].

Since:
  JDK1.2.2
Version:
  1.0 11/7/2000
Author:
  Steve Viens

Method Summary
`java.lang.String` `nextUUID()`

Method Detail

### nextUUID

    public java.lang.String nextUUID()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.